import Sortable from "sortablejs";
function sortDatabyid (data, idOrder) {
  const sortedData = [];

  idOrder.forEach((id) => {
    const item = data.findIndex((dataItem) => dataItem === id);
    if (item) {
      sortedData.push(item);
    }
  });
  // this.tableData1 = sortedData;
  // console.log(this.tableData1);
  return sortedData
}
// 拖拽排序
export function column (tableData, res) {

  // 获取对象
  const el = document.querySelector(res);
  // 设置配置
  var ops = {
    // 丝滑拖拽
    animation: 800,
    onEnd ({ newIndex, oldIndex }) {
      // 获取拖动后的排序
      const currRow = tableData.splice(oldIndex, 1)[0];
      tableData.splice(newIndex, 0, currRow);
      // 创建新数组
      const tableArray = [];
      tableData.forEach((item, index) => {
        tableArray.push(index);

      });
      console.log(tableArray);
      // // 调用排序接口
      // getSort(tableArray);
      sortDatabyid(tableData, tableArray);

      console.log(sortDatabyid(tableData, tableArray));
    },
  };
  // 初始化
  Sortable.create(el, ops);
}